Laadplein

Explore the Laadplein API endpoints.


GET/v1/laadplein-profiles

List laadplein profiles

Endpoint for GET /v1/laadplein-profiles.

Query parameters

  • Name
    page
    Type
    number
    required
    Description

    No description available.

  • Name
    limit
    Type
    number
    required
    Description

    No description available.

Response

Request

GET
/v1/laadplein-profiles
curl -G https://api.enhub.nl/v1/laadplein-profiles \
  -H "x-api-key: {your-api-key}"

Response

{
  "items": [
    {
      "id": "string",
      "name": "string",
      "baseProfileType": "string",
      "baseProfileName": "string",
      "totalKwh": 0,
      "peakKw": 0,
      "totalExportKwh": 0,
      "peakExportKw": 0,
      "layerCount": 0,
      "hasSolarLayer": true,
      "year": 0,
      "lat": 0,
      "lon": 0,
      "userId": "string",
      "organizationId": "string",
      "createdAt": "2025-01-15T10:30:00.000Z",
      "updatedAt": "2025-01-15T10:30:00.000Z"
    }
  ],
  "total": 0,
  "page": 0,
  "limit": 0,
  "totalPages": 0
}

POST/v1/laadplein-profiles

Create laadplein profile

Endpoint for POST /v1/laadplein-profiles.

Response

Request

POST
/v1/laadplein-profiles
curl -X POST https://api.enhub.nl/v1/laadplein-profiles \
  -H "x-api-key: {your-api-key}"

Response (201 Created)

{
  "id": "string",
  "name": "string",
  "baseProfileType": "string",
  "baseProfileName": "string",
  "totalKwh": 0,
  "peakKw": 0,
  "totalExportKwh": 0,
  "peakExportKw": 0,
  "layerCount": 0,
  "hasSolarLayer": true,
  "year": 0,
  "lat": 0,
  "lon": 0,
  "userId": "string",
  "organizationId": "string",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

GET/v1/laadplein-profiles/:id

Get laadplein profile detail

Endpoint for GET /v1/laadplein-profiles/{id}.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

Response

Request

GET
/v1/laadplein-profiles/:id
curl -G https://api.enhub.nl/v1/laadplein-profiles/{id} \
  -H "x-api-key: {your-api-key}"

Response

{
  "id": "string",
  "name": "string",
  "baseProfileType": "string",
  "baseProfileName": "string",
  "totalKwh": 0,
  "peakKw": 0,
  "totalExportKwh": 0,
  "peakExportKw": 0,
  "layerCount": 0,
  "hasSolarLayer": true,
  "year": 0,
  "lat": 0,
  "lon": 0,
  "userId": "string",
  "organizationId": "string",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z",
  "sources": [
    {
      "id": "string",
      "name": "string",
      "sourceType": "template",
      "direction": "consumption",
      "annualKwh": 0,
      "templateId": "string",
      "profileKey": "string",
      "category": "string",
      "description": "string",
      "enabled": true
    }
  ],
  "assets": [
    {
      "id": "string",
      "assetType": "heat-pump",
      "direction": "consumption",
      "enabled": true,
      "name": "string",
      "config": null
    }
  ]
}

GET/v1/laadplein-profiles/:id/chart

Get laadplein chart data

Endpoint for GET /v1/laadplein-profiles/{id}/chart.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

Query parameters

  • Name
    view
    Type
    string
    Description

    One of: week, month, year.

  • Name
    index
    Type
    number
    Description

    No description available.

Response

Request

GET
/v1/laadplein-profiles/:id/chart
curl -G https://api.enhub.nl/v1/laadplein-profiles/{id}/chart \
  -H "x-api-key: {your-api-key}"

GET/v1/laadplein-profiles/:id/export-csv

Export laadplein profile as CSV

Endpoint for GET /v1/laadplein-profiles/{id}/export-csv.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

Response

Request

GET
/v1/laadplein-profiles/:id/export-csv
curl -G https://api.enhub.nl/v1/laadplein-profiles/{id}/export-csv \
  -H "x-api-key: {your-api-key}"

POST/v1/laadplein-profiles/:id/assets

Add laadplein charging asset

Endpoint for POST /v1/laadplein-profiles/{id}/assets.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

Required attributes

  • Name
    assetType
    Type
    string
    required
    Description

    One of: heat-pump, custom-consumption, pv, charging-plaza, production-upload.

Optional attributes

  • Name
    name
    Type
    string
    Description

    No description available.

  • Name
    direction
    Type
    string
    Description

    One of: consumption, generation.

  • Name
    config
    Type
    object
    Description

    No description available.

Response

Request

POST
/v1/laadplein-profiles/:id/assets
curl -X POST https://api.enhub.nl/v1/laadplein-profiles/{id}/assets \
  -H "x-api-key: {your-api-key}" \
  -H "Content-Type: application/json" \
  -d '{
  "assetType": "heat-pump",
  "name": "string",
  "direction": "consumption",
  "config": null
}'

Response (201 Created)

{
  "id": "string",
  "name": "string",
  "baseProfileType": "string",
  "baseProfileName": "string",
  "totalKwh": 0,
  "peakKw": 0,
  "totalExportKwh": 0,
  "peakExportKw": 0,
  "layerCount": 0,
  "hasSolarLayer": true,
  "year": 0,
  "lat": 0,
  "lon": 0,
  "userId": "string",
  "organizationId": "string",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

PATCH/v1/laadplein-profiles/:id

Rename laadplein profile

Endpoint for PATCH /v1/laadplein-profiles/{id}.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

Required attributes

  • Name
    name
    Type
    string
    required
    Description

    No description available.

Response

Request

PATCH
/v1/laadplein-profiles/:id
curl -X PATCH https://api.enhub.nl/v1/laadplein-profiles/{id} \
  -H "x-api-key: {your-api-key}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string"
}'

Response

{
  "id": "string",
  "name": "string",
  "baseProfileType": "string",
  "baseProfileName": "string",
  "totalKwh": 0,
  "peakKw": 0,
  "totalExportKwh": 0,
  "peakExportKw": 0,
  "layerCount": 0,
  "hasSolarLayer": true,
  "year": 0,
  "lat": 0,
  "lon": 0,
  "userId": "string",
  "organizationId": "string",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

PATCH/v1/laadplein-profiles/:id/assets/:assetId

Update laadplein charging asset

Endpoint for PATCH /v1/laadplein-profiles/{id}/assets/{assetId}.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

  • Name
    assetId
    Type
    string
    required
    Description

    No description available.

Optional attributes

  • Name
    name
    Type
    string
    Description

    No description available.

  • Name
    enabled
    Type
    boolean
    Description

    No description available.

  • Name
    config
    Type
    object
    Description

    No description available.

Response

Request

PATCH
/v1/laadplein-profiles/:id/assets/:assetId
curl -X PATCH https://api.enhub.nl/v1/laadplein-profiles/{id}/assets/{assetId} \
  -H "x-api-key: {your-api-key}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "enabled": true,
  "config": null
}'

Response

{
  "id": "string",
  "name": "string",
  "baseProfileType": "string",
  "baseProfileName": "string",
  "totalKwh": 0,
  "peakKw": 0,
  "totalExportKwh": 0,
  "peakExportKw": 0,
  "layerCount": 0,
  "hasSolarLayer": true,
  "year": 0,
  "lat": 0,
  "lon": 0,
  "userId": "string",
  "organizationId": "string",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

DELETE/v1/laadplein-profiles/:id

Delete laadplein profile

Endpoint for DELETE /v1/laadplein-profiles/{id}.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

Response

Request

DELETE
/v1/laadplein-profiles/:id
curl -X DELETE https://api.enhub.nl/v1/laadplein-profiles/{id} \
  -H "x-api-key: {your-api-key}"

DELETE/v1/laadplein-profiles/:id/assets/:assetId

Remove laadplein charging asset

Endpoint for DELETE /v1/laadplein-profiles/{id}/assets/{assetId}.

Path parameters

  • Name
    id
    Type
    string
    required
    Description

    No description available.

  • Name
    assetId
    Type
    string
    required
    Description

    No description available.

Response

Request

DELETE
/v1/laadplein-profiles/:id/assets/:assetId
curl -X DELETE https://api.enhub.nl/v1/laadplein-profiles/{id}/assets/{assetId} \
  -H "x-api-key: {your-api-key}"

Response

{
  "id": "string",
  "name": "string",
  "baseProfileType": "string",
  "baseProfileName": "string",
  "totalKwh": 0,
  "peakKw": 0,
  "totalExportKwh": 0,
  "peakExportKw": 0,
  "layerCount": 0,
  "hasSolarLayer": true,
  "year": 0,
  "lat": 0,
  "lon": 0,
  "userId": "string",
  "organizationId": "string",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

Was this page helpful?